[arch-commits] Commit in xf86-video-nv/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Aug 31 11:40:53 EDT 2008


    Date: Sunday, August 31, 2008 @ 11:40:39
  Author: jgc
Revision: 11446

upgpkg: xf86-video-nv 2.1.12-1

Modified:
  xf86-video-nv/trunk/PKGBUILD

----------+
 PKGBUILD |   16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-31 15:38:06 UTC (rev 11445)
+++ PKGBUILD	2008-08-31 15:40:39 UTC (rev 11446)
@@ -1,26 +1,28 @@
 # $Id$
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
+
 pkgname=xf86-video-nv
-pkgver=2.1.9
+pkgver=2.1.12
 pkgrel=1
 pkgdesc="X.org nv video driver"
 arch=(i686 x86_64)
+license=('custom')
 url="http://xorg.freedesktop.org/"
 depends=('glibc')
-makedepends=('pkgconfig' 'xorg-server>=1.4.0.90')
+makedepends=('pkgconfig' 'xorg-server>=1.4.99.906')
+conflicts=('xorg-server<1.4.99.906')
 options=('!libtool')
-license=('custom')
 groups=('xorg-video-drivers')
 source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('c6b7e52fa18455c22eb040b8d2575ce5')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
 
-  install -m644 -D ${startdir}/src/${pkgname}-${pkgver}/COPYING \
-                   ${startdir}/pkg/usr/share/licenses/${pkgname}/LICENSE
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
+md5sums=('42f12a36d7afc26c817e8e8f5c8b7274')




More information about the arch-commits mailing list